Bug 716479 - mouse connection often broken
mouse connection often broken
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-06-24 11:29 EDT by Tomasz Torcz
Modified: 2012-08-07 11:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-07 11:21:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomasz Torcz 2011-06-24 11:29:57 EDT
Description of problem:
I'm using bluetooth mouse A4Tech BT 630. Or at least I'm trying to use, because after few seconds of idleness, bt connection between Linux and mouse is broken, and I have to re-establish it in bluez-appet.
I've tested this mouse with MS Windows and there is no problem there.

Mouse manual claims following sleep modes and way to wake up:
mode / delay (how long in idle) / way to wake up
slight sleep / 2 seconds / moving mouse
middle sleep / 4 seconds / moving mouse
deep sleep   / 5 minutes / clicking

In Linux, after mouse enter deep sleep, connection is broken and clicking won't help.

My bt dongle is connected via usb:
Bus 002 Device 007: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Pair the mouse
2. Let mouse idle for few minutes
3. Attempt to wakeup mouse by clicking and moving cursor
Actual results:
BT connection to mouse is broken.

Expected results:
Mouse functioning.

Additional info:
Comment 1 Wawrzyniec Piotrzkowski 2012-02-13 18:50:14 EST
Ti Tomek, 
as I got the same mouse, I could do a little investigation.
Curiously, I have this problem in (test) Windoze, even with A4tech "drivers" installed and loaded.

But let's return to Linux and my workaround.

for me, the solution is to make very little "program" in shell, that continuously (even if l2ping dies) issues:

l2ping -c 2 -d 120 'mouse_address'

I launch it from rc.local

Didn't tested battery life with this hack.
Comment 2 Fedora End Of Life 2012-08-07 11:21:32 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:

Note You need to log in before you can comment on or make changes to this bug.